TARGET   = corepdf
TEMPLATE = app

QT += widgets core-private gui-private widgets-private

VERSION  = 2.9.0

# Library section
unix:!macx: LIBS += -lcprime

INCLUDEPATH  += pdfdocument pdfwidget
LIBS         += -L/usr/lib -lpoppler-qt5

# Disable warnings, enable threading support and c++11
CONFIG  += thread silent build_all c++11

# Definetion section
DEFINES += QT_DEPRECATED_WARNINGS

# Build section
BUILD_PREFIX = $$(CA_BUILD_DIR)

isEmpty( BUILD_PREFIX ) {
	BUILD_PREFIX = ./build
}

MOC_DIR       = $$BUILD_PREFIX/moc-qt5
OBJECTS_DIR   = $$BUILD_PREFIX/obj-qt5
RCC_DIR	      = $$BUILD_PREFIX/qrc-qt5
UI_DIR        = $$BUILD_PREFIX/uic-qt5

# Disable Debug on Release
CONFIG(release):DEFINES += QT_NO_DEBUG_OUTPUT

unix {
        isEmpty(PREFIX) {
                PREFIX = /usr
        }
        BINDIR = $$PREFIX/bin

        target.path = $$BINDIR

        desktop.path = $$PREFIX/share/applications/
        desktop.files = "corepdf.desktop"

        icons.path = /usr/share/icons/hicolor/scalable/apps/
        icons.files = corepdf.svg

        INSTALLS += target icons desktop
}

FORMS += \
    corepdf.ui

HEADERS += \
    corepdf.h \
    pdfdocument/qpdfdocument.h \
    pdfdocument/qpdfdocumentrenderoptions.h \
    pdfdocument/qpdfnamespace.h \
    pdfdocument/qpdfpagenavigation.h \
    pdfdocument/qpdfpagerenderer.h \
    pdfdocument/qtpdfglobal.h \
    pdfwidget/qpdfview.h \
    pdfwidget/qpdfview_p.h \
    pdfwidget/qtpdfwidgetsglobal.h

SOURCES += \
    corepdf.cpp \
    main.cpp \
    pdfdocument/qpdfdocument.cpp \
    pdfdocument/qpdfpagenavigation.cpp \
    pdfdocument/qpdfpagerenderer.cpp \
    pdfwidget/qpdfview.cpp
